跳转到主要内容
GET
/
v1
/
library
/
list
List saved videos with pagination
curl --request GET \
  --url https://api.bibigpt.co/api/v1/library/list \
  --header 'Authorization: Bearer <token>'
{
  "videos": [
    {
      "id": "<string>",
      "title": "<string>",
      "sourceUrl": "<string>",
      "coverUrl": "<string>",
      "duration": 123,
      "channelId": "<string>",
      "channelTitle": "<string>",
      "createdAt": "<string>"
    }
  ],
  "nextCursor": "<string>",
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.bibigpt.co/llms.txt

Use this file to discover all available pages before exploring further.

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

查询参数

limit
integer
默认值:20
必填范围: 1 <= x <= 100
cursor
string
channelId
string
sortBy
enum<string>
默认值:updatedAt
可用选项:
createdAt,
updatedAt
sortOrder
enum<string>
默认值:desc
可用选项:
asc,
desc

响应

Successful response

videos
object[]
必填
nextCursor
string | null
必填
total
number